Get Non-Security Patches

Get All Applicable Non-Security Patches For Remediation.
This method will list all the missing non-security patches by group, hostname, or family for an account.

KeyMeaningMandatoryData Type
accountidAccount identifierYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Patch.getApplicableNonSecurityRemediation(
  accountid="Demo Account"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json